Data Fields

# arm_biquad_casd_df1_inst_q15 Struct Reference

Instance structure for the Q15 Biquad cascade filter. More...

`#include <arm_math.h>`

## Data Fields
int8_t | numStages
q15_t * | pState
q15_t * | pCoeffs
int8_t | postShift

## Detailed Description

Instance structure for the Q15 Biquad cascade filter.

Definition at line 1170 of file arm_math.h.

## Field Documentation

int8_t arm_biquad_casd_df1_inst_q15::numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

Definition at line 1172 of file arm_math.h.

q15_t* arm_biquad_casd_df1_inst_q15::pState

Points to the array of state coefficients. The array is of length 4*numStages.

Definition at line 1173 of file arm_math.h.

q15_t* arm_biquad_casd_df1_inst_q15::pCoeffs

Points to the array of coefficients. The array is of length 5*numStages.

Definition at line 1174 of file arm_math.h.

int8_t arm_biquad_casd_df1_inst_q15::postShift

Additional shift, in bits, applied to each output sample.

Definition at line 1175 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines